Yblog多个跨站脚本攻击漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1111173 漏洞类型 跨站脚本
发布时间 2006-09-30 更新时间 2006-10-05
CVE编号 CVE-2006-5146 CNNVD-ID CNNVD-200610-052
漏洞平台 PHP CVSS评分 6.8
|漏洞来源
https://www.exploit-db.com/exploits/28734
https://cxsecurity.com/issue/WLB-2006100045
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-200610-052
|漏洞详情
Yblog中存在多个跨站脚本攻击漏洞。远程攻击者可以通过(a)funk.php中的(1)id参数或(b)tem.php和(c)uss.php中的(2)action参数注入任意Web脚本或HTML。
|漏洞EXP
source: http://www.securityfocus.com/bid/20280/info
  
Yblog is prone to multiple cross-site scripting vulnerabilities because it fails to sufficiently sanitize user-supplied input data.
  
An attacker may leverage these issues to have arbitrary script code execute in the browser of an unsuspecting user in the context of the affected site. This may allow the attacker to steal cookie-based authentication credentials and to launch other attacks.
  
http://www.example.com/[path]/uss.php?action="><script>alert('test!')</script>
|参考资料

来源:BID
名称:20280
链接:http://www.securityfocus.com/bid/20280
来源:BUGTRAQ
名称:20060930Yblog=>CrossSiteScripting
链接:http://www.securityfocus.com/archive/1/archive/1/447427/100/0/threaded
来源:VIM
名称:20061002yblog:distributableproduct
链接:http://www.attrition.org/pipermail/vim/2006-October/001065.html
来源:XF
名称:yblog-multiple-xss(29291)
链接:http://xforce.iss.net/xforce/xfdb/29291
来源:SREASON
名称:1679
链接:http://securityreason.com/securityalert/1679